<?php
/**
 * @version    $Id: default.php 10741 2013-05-28 17:02:09Z steph $
 * @author     RocketTheme http://www.rockettheme.com
 * @copyright  Copyright (C) 2007 - 2015 RocketTheme, LLC
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Based on work by
 * @author     Rick Blalock
 * @package    Joomla
 * @subpackage ecwid
 * @license    GNU/GPL
 *
 * ECWID.com e-commerce wrapper
 */
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
$model = $this->getModel();

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'rokbridge.cancel' || document.formvalidator.isValid(document.id('rokecwid-form'))) {
			Joomla.submitform(task, document.getElementById('rokecwid-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>
<form action="<?php echo JRoute::_('index.php?option=com_rokecwid&controller=default&layout=default'); ?>" method="post" name="adminForm" id="rokecwid-form" class="form-validate">
	<table class="noshow">
		<tr valign="top">
			<td width="60%">
				<div id="rokecwid-guide">
					<h2>Guide</h2>

					<div id="rokecwid-wrapper">
						<div id="rokecwid-content">
							<?php echo $this->loadTemplate('guide'); ?>
						</div>
					</div>
				</div>
			</td>
			<td width="40%">
				<div id="rokecwid-config">
					<h2>Configuration</h2>
					<?php echo $this->render(); ;?>

					<div class="clear"></div>
					<div id="rockettheme">
						<a target="_blank" href="http://www.rockettheme.com/"><span>Brought to you by RocketTheme</span></a>
					</div>
				</div>
			</td>
		</tr>
	</table>
    <input type="hidden" name="controller" value="default" />
    <input type="hidden" name="option" value="com_rokecwid" />
    <input type="hidden" name="task" value="" />
    <?php echo JHtml::_('form.token'); ?>
</form>

<?php echo JHtml::_('behavior.keepalive'); ?>
